%global __requires_exclude perl\\(packed-refs\\)|funcoes/func.gammu.php
%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

%define libname %mklibname git
%define profile_branch 93git-branch.sh
%define profile_env    93git-env.sh

Name:    git
Epoch:   1
Version: 2.13.7
%define  subrel 3
Release: %mkrel 1

Summary: Fast and distributed version control system
License: GPLv2
Group:   Development/Other
Url:     http://git-scm.com/
Source0: https://www.kernel.org/pub/software/scm/git/git-%{version}.tar.xz
Source1: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.sign
Source2: gitweb.conf
Source3: %{profile_branch}
Source4: %{profile_env}
Patch0:  git-CVE-2017-15298.patch
# fixes for CVE-2018-17456
Patch1:  0001-submodule-helper-use-to-signal-end-of-clone-options.patch
Patch2:  0002-submodule-config-ban-submodule-urls-that-start-with-.patch
Patch3:  0003-submodule-config-ban-submodule-paths-that-start-with.patch
# CVE-2018-19486
Patch4:  0004-run-command-mark-path-lookup-errors-with-ENOENT.patch

BuildRequires: asciidoc
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: openssl-devel
BuildRequires: perl-CGI
BuildRequires: python-devel
BuildRequires: xmlto-notex
BuildRequires: zlib-devel
BuildRequires: docbook-dtd45-xml
BuildRequires: docbook-style-xsl
BuildRequires: pcre-devel

Requires: git-core = %{epoch}:%{version}
Requires: git-email = %{epoch}:%{version}
Recommends: gitk = %{epoch}:%{version}
Recommends: git-arch = %{epoch}:%{version}
Recommends: git-core-oldies = %{epoch}:%{version}
Recommends: git-cvs = %{epoch}:%{version}
Recommends: git-svn = %{epoch}:%{version}

%description
Git is a free and open source distributed version control system designed to
handle everything from small to very large projects with speed and efficiency.

This is a dummy package which brings in all subpackages.

%package -n git-core
Summary: Global Information Tracker
Group: Development/Other
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Recommends: git-prompt
Conflicts: git < 4.3.20-15
Obsoletes: gitcompletion
Obsoletes: gitview < 1:2.13.0
Provides: gitcompletion

%description -n git-core
Git is a free and open source distributed version control system designed to
handle everything from small to very large projects with speed and efficiency.

These are the core tools with minimal dependencies.

You may want to install subversion, csvps and/or tla to import
repositories from other VCS.

%package -n gitk
Summary: Git revision tree visualiser
Group: Development/Other
Requires: git-core = %{epoch}:%{version}
Requires: tk >= 8.4
Requires: tcl >= 8.4

%description -n gitk
Git revision tree visualiser.


%package -n %{libname}-devel
Summary: Git development files
Group: Development/Other
Provides: git-devel = %{version}-%{release}

%description -n %{libname}-devel
Development files for git.


%package -n git-svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}, subversion

%description -n git-svn
Git tools for importing Subversion repositories.


%package -n git-cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Recommends:       cvs, cvsps

%description -n git-cvs
Git tools for importing CVS repositories.


%package -n git-arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Recommends:       tla

%description -n git-arch
Git tools for importing Arch repositories.


%package -n git-email
Summary:        Git tools for sending email
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Recommends:       perl-Authen-SASL
Recommends:       perl-MIME-Base64

%description -n git-email
Git tools for sending email.


%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Perl
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n perl-Git
Perl interface to Git

%package -n perl-Git-SVN
Summary:        Perl interface to Git-SVN
Group:          Development/Perl
Requires:       git-core = %{epoch}:%{version}-%{release}
Conflicts:      perl-Git < 1:2.10.2-2

%description -n perl-Git-SVN
Perl interface to Git-SVN

%package -n python-git
Summary:        Python interface to Git
Group:          Development/Python
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n python-git
Python interface to Git


%package -n git-core-oldies
Summary:    Git obsolete commands, bound to extinction
Group:      Development/Other
Requires:   git-core = %{epoch}:%{version}-%{release}

%description -n git-core-oldies
Git obsolete commands, bound to extinction


%package -n gitweb
Summary:    cgi-bin script for browse a git repository with web browsers
Group:      System/Servers
Requires:   git-core = %{epoch}:%{version}-%{release}

%description -n gitweb
cgi-bin script for browse a git repository with web browsers.


%package -n git-prompt
Summary:        Shows the current git branch in your bash prompt
Group:          Shells
Requires:       git-core = %{epoch}:%{version}-%{release}
Requires:       bash-completion

%description -n git-prompt
Shows the current git branch in your bash prompt.


%prep
%setup -q -n git-%{version}
%autopatch -p1
# remove borring file
rm -f Documentation/.gitignore
# prefix gitweb css/png files with /gitweb
perl -pi -e 's!^(GITWEB_CSS|GITWEB_LOGO|GITWEB_FAVICON) = !$1 = /gitweb/!' Makefile

# Use these same options for every invocation of 'make'.
# Otherwise it will rebuild in %%install due to flags changes.
cat << \EOF > config.mak
CFLAGS = %{optflags}
GITWEB_CONFIG = %{_sysconfdir}/gitweb.conf
USE_LIBPCRE = 1
prefix = %{_prefix}
gitexecdir = %{_libdir}/git-core
EOF

%build
%make_build all doc
%make_build -C gitweb gitweb.cgi

# Produce RelNotes.txt.gz
# sed trick changes "-x.y.z.txt" to "-x.y.z.0.txt" for ordering, then undoes it
# use awk to print a newline before each RelNotes header
cd Documentation/RelNotes \
&& relnotesls="`find . -name '*.txt' | sed 's/\([0-9]\.[0-9]\.[0-9]\)\.txt/\1.0.txt/' | sort -nr | sed 's/\([0-9]\.[0-9]\.[0-9]\)\.0\.txt/\1.txt/'`" \
&& awk 'FNR == 1 { print "" } { print }' $relnotesls | gzip -9c >../RelNotes.txt.gz

%install
mkdir -p %{buildroot}%{_bindir}
%make_install
make install-doc DESTDIR=%{buildroot}
make install-html DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_docdir}/git-core
for i in %{buildroot}/%{_docdir}/git-doc/* ; do
    mv "$i" %{buildroot}%{_docdir}/git-core/
done
rm -fr %{buildroot}/%{_docdir}/git-doc/
# (cg) Copy the whole contrib dir as docs. It contains useful scripts.
mkdir -p %{buildroot}%{_datadir}/doc/git-core
cp -ar contrib %{buildroot}%{_datadir}/doc/git-core

mkdir -p %{buildroot}%{_includedir}/git
cp *.h %{buildroot}%{_includedir}/git

mkdir -p %{buildroot}%{_libdir}
install -m 644 libgit.a %{buildroot}%{_libdir}/libgit.a

mv %{buildroot}/%{_prefix}/lib/perl5/site_perl %{buildroot}/%{_prefix}/lib/perl5/vendor_perl
rm -f %{buildroot}/%{perl_vendorlib}/Error.pm
rm -f %{buildroot}%{_mandir}/man3/private-Error.3pm*

mkdir -p %{buildroot}%{_datadir}/gitweb/static
install -m 755 gitweb/gitweb.cgi %{buildroot}%{_datadir}/gitweb
install -m 644 gitweb/static/*.css gitweb/static/*.png %{buildroot}%{_datadir}/gitweb/static/

mkdir -p %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/gitweb.conf
# apache configuration
mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/gitweb.conf <<EOF
# gitweb configuration
Alias /gitweb %{_datadir}/gitweb

<Directory %{_datadir}/gitweb>
    Require all granted
    Options ExecCgi
    AddHandler cgi-script .cgi
    DirectoryIndex gitweb.cgi
</Directory>
EOF

# fix .sp in man files
find %{buildroot}/%{_mandir} -type f | xargs perl -e 's/\.sp$/\n\.sp/g' -pi

# emacs VC backend:
mkdir -p %{buildroot}{%{_datadir}/emacs/site-lisp,/etc/emacs/site-start.d}
install -m 644 contrib/emacs/*.el %{buildroot}%{_datadir}/emacs/site-lisp
cat >%{buildroot}/etc/emacs/site-start.d/vc_git.el <<EOF
(add-to-list 'vc-handled-backends 'GIT)
EOF

# install bash-completion file
mkdir -p  %{buildroot}%{_sysconfdir}/bash_completion.d
install -m644 contrib/completion/git-completion.bash \
    %{buildroot}%{_sysconfdir}/bash_completion.d/git

# And the prompt manipulation file
install -D -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/%{profile_branch}
# exposes a bug in less, as reported by coling
#install -D -m 0644 %SOURCE4 %{buildroot}%{_sysconfdir}/profile.d/%{profile_env}

%find_lang %{name}

%check
# fix check permissions
chmod 755 t/t7416-submodule-dash-url.sh t/t7417-submodule-path-url.sh
LC_ALL=C %make_build test

%files
# no file in the main package

%files -n git-core -f %{name}.lang
%doc %{_docdir}/git-core/*
/etc/emacs/site-start.d/*
/etc/bash_completion.d/*
%{_datadir}/emacs/site-lisp/*
%{_bindir}/git
%{_bindir}/git-*
%{_libdir}/git-core
%exclude %{_libdir}/git-core/*svn*
%exclude %{_libdir}/git-core/*cvs*
%exclude %{_libdir}/git-core/git-archimport
%exclude %{_libdir}/git-core/*email*
# %exclude %{_bindir}/git-merge-recursive-old
%{_datadir}/git-core
%{_datadir}/git-gui
# %exclude %{_datadir}/git-core/python
%{_mandir}/*/git-*
%{_mandir}/*/git.*
%{_mandir}/*/gitattributes*
%{_mandir}/*/giteveryday*
%{_mandir}/*/gitignore*
%{_mandir}/*/gitmodules*
%{_mandir}/*/gitnamespaces*
%{_mandir}/*/gitcli*
%{_mandir}/*/githooks*
%{_mandir}/*/gitrepository*
%{_mandir}/*/*tutorial*
%{_mandir}/*/*glossary*
%{_mandir}/*/gitdiffcore*
%{_mandir}/*/gitworkflows*
%{_mandir}/*/gitremote-helpers*
%{_mandir}/*/gitrevisions*
%{_mandir}/*/gitcredentials*
%exclude %{_mandir}/man1/*svn*.1*
%exclude %{_mandir}/man1/*cvs*.1*
%exclude %{_mandir}/man7/*cvs*.7*
%exclude %{_mandir}/man1/*email*.1*
%exclude %{_mandir}/man1/git-archimport.1*
%doc README.md Documentation/*.html Documentation/howto Documentation/technical Documentation/RelNotes.txt.gz

%files -n gitk
%{_bindir}/gitk
%{_mandir}/*/gitk*
%{_datadir}/gitk
%doc README.md

%files -n %{libname}-devel
%{_includedir}/git
%{_libdir}/libgit.a

%files -n git-svn
%{_libdir}/git-core/*svn*
%{_mandir}/man1/*svn*.1*

%files -n git-cvs
%{_libdir}/git-core/*cvs*
%{_mandir}/man1/*cvs*.1*
%{_mandir}/man7/*cvs*.7*

%files -n git-arch
%{_libdir}/git-core/git-archimport
%{_mandir}/man1/git-archimport.1*

%files -n git-email
%{_libdir}/git-core/*email*
%{_mandir}/man1/*email*.1*

%files -n perl-Git
%{perl_vendorlib}/Git*.pm
%dir %{perl_vendorlib}/Git/
%{perl_vendorlib}/Git/I*.pm
%{_mandir}/man3/Git.3pm*
%{_mandir}/man3/Git::I18N.3pm*

%files -n perl-Git-SVN
%{perl_vendorlib}/Git/SVN/
%{perl_vendorlib}/Git/SVN.pm
%{_mandir}/man3/Git::SVN*.3pm*

%files -n git-core-oldies

%files -n gitweb
%doc gitweb/INSTALL gitweb/README
%config(noreplace) %{_sysconfdir}/gitweb.conf
%config(noreplace) %{_webappconfdir}/gitweb.conf
%{_datadir}/gitweb
%{_mandir}/man1/gitweb.1*
%{_mandir}/man5/gitweb.conf.5*

%files -n git-prompt
%{_sysconfdir}/profile.d/%{profile_branch}


%changelog
* Tue May 21 2019 tmb <tmb> 1:2.13.7-1.3.mga6
+ Revision: 1398748
- run-command: mark path lookup errors with ENOENT (CVE-2018-19486)
- fix permissions on test files
- fix CVE-2018-17456
- update to 2.13.3
+ shlomif <shlomif>
- New version 2.13.7 ( cve; MGA#23096 )
- Fix for MGA#22067 thanks to kekePower
+ luigiwalser <luigiwalser>
- 2.13.6
- 2.13.5 (fixes CVE-2017-1000117)

* Sun Jun 25 2017 luigiwalser <luigiwalser> 1:2.13.2-1.mga6
+ Revision: 1108471
- 2.13.2

* Wed Jun 14 2017 guillomovitch <guillomovitch> 1:2.13.1-2.mga6
+ Revision: 1107672
- fix man pages formatting

* Tue Jun 06 2017 luigiwalser <luigiwalser> 1:2.13.1-1.mga6
+ Revision: 1107118
- 2.13.1

* Sun May 14 2017 wally <wally> 1:2.13.0-4.mga6
+ Revision: 1101071
- fix gitview obsoletes

* Sun May 14 2017 shlomif <shlomif> 1:2.13.0-3.mga6
+ Revision: 1101004
- Add Obsoletes on the removed gitview

* Sat May 13 2017 shlomif <shlomif> 1:2.13.0-2.mga6
+ Revision: 1100938
- Update the descriptions.

* Thu May 11 2017 shlomif <shlomif> 1:2.13.0-1.mga6
+ Revision: 1100320
- New upstream version 2.13.0 (fixes MGA#20827 ).

* Thu Jan 05 2017 wally <wally> 1:2.10.2-2.mga6
+ Revision: 1080234
- drop man page for Error.pm as .pm file itself is also removed
- split out perl-Git-SVN from perl-Git (mga#20073)

* Sun Oct 30 2016 luigiwalser <luigiwalser> 1:2.10.2-1.mga6
+ Revision: 1064198
- 2.10.2

* Tue Oct 04 2016 luigiwalser <luigiwalser> 1:2.10.1-1.mga6
+ Revision: 1058496
- 2.10.1

* Tue Sep 20 2016 tv <tv> 1:2.10.0-1.mga6
+ Revision: 1054582
- 2.10.0
+ shlomif <shlomif>
- Remove an unnecessary build dependency on TeX/texlive.

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1:2.9.3-1.mga6
+ Revision: 1046363
- 2.9.3

* Sat Jul 16 2016 tmb <tmb> 1:2.9.2-1.mga6
+ Revision: 1042268
- 2.9.2 (fixes testsuite breakage)

* Tue Jul 12 2016 tmb <tmb> 1:2.9.1-2.mga6
+ Revision: 1041529
- revert year 2152 test for now as it fails on 32bit
- update to 2.9.1 (maintenance release)

* Tue Jun 14 2016 tv <tv> 1:2.9.0-1.mga6
+ Revision: 1021437
- new release

* Wed Jun 08 2016 luigiwalser <luigiwalser> 1:2.8.4-1.mga6
+ Revision: 1020845
- 2.8.4

* Sat May 21 2016 shlomif <shlomif> 1:2.8.3-1.mga6
+ Revision: 1017303
- New ver 2.8.3 + spec modernization

* Mon May 02 2016 luigiwalser <luigiwalser> 1:2.8.2-1.mga6
+ Revision: 1008673
- 2.8.2

* Fri Apr 08 2016 shlomif <shlomif> 1:2.8.1-1.mga6
+ Revision: 999508
- New version 2.8.1

* Fri Mar 18 2016 luigiwalser <luigiwalser> 1:2.7.4-1.mga6
+ Revision: 992837
- 2.7.4

* Fri Mar 11 2016 luigiwalser <luigiwalser> 1:2.7.3-1.mga6
+ Revision: 989159
- 2.7.3
- remove patch (fixed upstream)

* Wed Mar 02 2016 umeabot <umeabot> 1:2.7.2-2.mga6
+ Revision: 983430
- Rebuild for openssl

* Tue Feb 23 2016 luigiwalser <luigiwalser> 1:2.7.2-1.mga6
+ Revision: 977366
- 2.7.2

* Wed Feb 10 2016 luigiwalser <luigiwalser> 1:2.7.1-1.mga6
+ Revision: 953401
- add patch suggested upstream to fix build with grep 2.23
- 2.7.1

* Sat Jan 16 2016 tv <tv> 1:2.7.0-2.mga6
+ Revision: 924575
- patch 0: fix git-svn with SVN 1.9.x

* Tue Jan 05 2016 tv <tv> 1:2.7.0-1.mga6
+ Revision: 919811
- new release
+ blino <blino>
- enable perl regexp support (git grep -P) with pcre
- factorize options in config.mak (like Fedora)

* Wed Dec 09 2015 luigiwalser <luigiwalser> 1:2.6.4-1.mga6
+ Revision: 909083
- 2.6.4

* Mon Nov 09 2015 shlomif <shlomif> 1:2.6.3-2.mga6
+ Revision: 900079
- Made git-svn a recom instead of a req ( MGA#16884 ).

* Fri Nov 06 2015 luigiwalser <luigiwalser> 1:2.6.3-1.mga6
+ Revision: 898073
- 2.6.3

* Mon Oct 19 2015 luigiwalser <luigiwalser> 1:2.6.2-1.mga6
+ Revision: 892699
- 2.6.2

* Tue Oct 06 2015 luigiwalser <luigiwalser> 1:2.6.1-1.mga6
+ Revision: 886605
- 2.6.1

* Tue Sep 29 2015 tv <tv> 1:2.6.0-1.mga6
+ Revision: 885160
- new release

* Fri Sep 18 2015 fwang <fwang> 1:2.5.3-1.mga6
+ Revision: 880325
- update file list
- 2.5.3
+ colin <colin>
- New version: 2.5.0

* Sun Jul 05 2015 shlomif <shlomif> 1:2.4.5-2.mga6
+ Revision: 851347
- get the build to work again + reenable the tests
+ tv <tv>
- new release

* Sat Jun 20 2015 shlomif <shlomif> 1:2.4.4-1.mga6
+ Revision: 836280
- New version 2.4.4

* Sat Mar 07 2015 tmb <tmb> 1:2.3.2-1.mga5
+ Revision: 817961
- 2.3.2 (crash fixes, 2.2/2.3 regression fixes, bugfixes)

* Sun Mar 01 2015 tmb <tmb> 1:2.3.1-1.mga5
+ Revision: 817278
- 2.3.1 (bugfixes)

* Sat Feb 07 2015 tmb <tmb> 1:2.3.0-1.mga5
+ Revision: 814023
- 2.3.0

* Wed Jan 14 2015 luigiwalser <luigiwalser> 1:2.2.2-1.mga5
+ Revision: 810651
- 2.2.2

* Fri Dec 19 2014 luigiwalser <luigiwalser> 1:2.2.1-1.mga5
+ Revision: 804148
- 2.2.1 (fixes CVE-2014-9390)

* Thu Dec 04 2014 tv <tv> 1:2.2.0-0.1.mga5
+ Revision: 801541
- new release

* Thu Oct 30 2014 luigiwalser <luigiwalser> 1:2.1.3-1.mga5
+ Revision: 794706
- 2.1.3

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.2-2.mga5
+ Revision: 740362
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1:2.1.2-1.mga5
+ Revision: 733836
- 2.1.2
- 2.1.1

* Fri Sep 19 2014 tv <tv> 1:2.1.0-4.mga5
+ Revision: 697353
- excludes requires from doc (mga#14125)

* Fri Sep 19 2014 tv <tv> 1:2.1.0-3.mga5
+ Revision: 696982
- add 2 excludes

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.0-2.mga5
+ Revision: 679588
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 01 2014 tv <tv> 1:2.1.0-1.mga5
+ Revision: 670457
- 2.1.0

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1:1.9.4-1.mga5
+ Revision: 670287
- 1.9.4

* Tue Jun 03 2014 tv <tv> 1:1.9.2-2.mga5
+ Revision: 632111
- rebuild for new perl

* Fri Apr 25 2014 shlomif <shlomif> 1:1.9.2-1.mga5
+ Revision: 617827
- New version 1.9.2

* Thu Feb 06 2014 fwang <fwang> 1:1.8.5.4-2.mga5
+ Revision: 584218
- do not produce empty python interface

* Thu Feb 06 2014 fwang <fwang> 1:1.8.5.4-1.mga5
+ Revision: 584175
- update file list
- 1.8.5.4

* Thu Dec 05 2013 luigiwalser <luigiwalser> 1:1.8.4.5-1.mga4
+ Revision: 555411
- 1.8.4.5

* Sat Nov 23 2013 tmb <tmb> 1:1.8.4.4-1.mga4
+ Revision: 552475
- update to 1.8.4.4 (maintenance release)

* Fri Nov 08 2013 tmb <tmb> 1:1.8.4.3-1.mga4
+ Revision: 550016
- 1.8.4.3 (maintenance release)

* Sat Nov 02 2013 tmb <tmb> 1:1.8.4.2-1.mga4
+ Revision: 549139
- update to 1.8.4.2 (maintenance release)

* Tue Oct 22 2013 umeabot <umeabot> 1:1.8.4-3.mga4
+ Revision: 542667
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- revert
- new version 1.8.4.1

* Mon Oct 14 2013 pterjan <pterjan> 1:1.8.4-2.mga4
+ Revision: 497759
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 fwang <fwang> 1:1.8.4-1.mga4
+ Revision: 470895
- new version 1.8.4

* Fri Jul 26 2013 colin <colin> 1:1.8.3.4-2.mga4
+ Revision: 458436
- Add upstream patch for send-email improvements with newer Net::SMTP::SSL

* Tue Jul 23 2013 fwang <fwang> 1:1.8.3.4-1.mga4
+ Revision: 457382
- new version 1.8.3.4

* Tue Jul 16 2013 fwang <fwang> 1:1.8.3.3-1.mga4
+ Revision: 455059
- new version 1.8.3.3

* Sat Jun 29 2013 fwang <fwang> 1:1.8.3.2-1.mga4
+ Revision: 448278
- new version 1.8.3.2

* Wed Jun 12 2013 fwang <fwang> 1:1.8.3.1-1.mga4
+ Revision: 442030
- new version 1.8.3.1

* Wed May 29 2013 tv <tv> 1:1.8.3-2.mga4
+ Revision: 430129
- rebuild for new perl

* Mon May 27 2013 shlomif <shlomif> 1:1.8.3-1.mga4
+ Revision: 428777
- New version 1.8.3
- Corrections

* Fri Mar 01 2013 tmb <tmb> 1:1.8.1.5-1.mga3
+ Revision: 400948
- update filelist
- 1.8.1.5 (maintenance release)

* Sun Feb 24 2013 luigiwalser <luigiwalser> 1:1.8.1.4-1.mga3
+ Revision: 400210
- 1.8.1.4

* Tue Feb 12 2013 luigiwalser <luigiwalser> 1:1.8.1.3-1.mga3
+ Revision: 397937
- 1.8.1.3

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1:1.8.1.2-1.mga3
+ Revision: 393930
- 1.8.1.2

* Sat Jan 12 2013 umeabot <umeabot> 1:1.8.1-2.mga3
+ Revision: 351570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 tmb <tmb> 1:1.8.1-1.mga3
+ Revision: 337404
- update to 1.8.1

* Thu Dec 13 2012 shlomif <shlomif> 1:1.8.0.2-1.mga3
+ Revision: 330356
- New version 1.8.0.2

* Tue Nov 27 2012 fwang <fwang> 1:1.8.0.1-1.mga3
+ Revision: 322219
- new version 1.8.0.1

* Mon Oct 22 2012 fwang <fwang> 1:1.8.0-1.mga3
+ Revision: 309085
- new version 1.8.0

* Sat Oct 20 2012 tmb <tmb> 1:1.7.12.4-1.mga3
+ Revision: 308453
- update to 1.7.12.4

* Mon Oct 08 2012 tmb <tmb> 1:1.7.12.3-1.mga3
+ Revision: 303659
- update to 1.7.12.3

* Sun Sep 30 2012 tmb <tmb> 1:1.7.12.2-1.mga3
+ Revision: 300897
- update to 1.7.12.2

* Wed Sep 19 2012 fwang <fwang> 1:1.7.12.1-1.mga3
+ Revision: 296082
- new version 1.7.12.1

* Wed Aug 22 2012 colin <colin> 1:1.7.12-2.mga3
+ Revision: 283063
- Fix git-prompt sub package due to upstream __git_ps1 changes

* Tue Aug 21 2012 fwang <fwang> 1:1.7.12-1.mga3
+ Revision: 282849
- new version 1.7.12

* Fri Aug 17 2012 fwang <fwang> 1:1.7.11.5-1.mga3
+ Revision: 281729
- new version 1.7.11.5

* Sat Aug 11 2012 blino <blino> 1:1.7.11.4-3.mga3
+ Revision: 280467
- spec file cosmetics

* Fri Aug 10 2012 blino <blino> 1:1.7.11.4-2.mga3
+ Revision: 280405
- fix httpd conf for apache 2.4

* Wed Aug 01 2012 fwang <fwang> 1:1.7.11.4-1.mga3
+ Revision: 277152
- new version 1.7.11.4

* Tue Jul 24 2012 fwang <fwang> 1:1.7.11.3-1.mga3
+ Revision: 273918
- new version 1.7.11.3

* Thu Jul 12 2012 fwang <fwang> 1:1.7.11.2-1.mga3
+ Revision: 270146
- new version 1.7.11.2

* Tue Jun 19 2012 fwang <fwang> 1:1.7.11-1.mga3
+ Revision: 261892
- new version 1.7.11

* Wed May 30 2012 blino <blino> 1:1.7.10.3-2.mga3
+ Revision: 251838
- rebuild for new perl

* Mon May 28 2012 shlomif <shlomif> 1:1.7.10.3-1.mga3
+ Revision: 248776
- New version - 1.7.10.3

* Sun Apr 08 2012 tmb <tmb> 1:1.7.10-1.mga2
+ Revision: 229710
- 1.7.10 (fixes problem with submodules, mga #5288)

* Fri Mar 09 2012 fwang <fwang> 1:1.7.9.3-1.mga2
+ Revision: 221888
- new version 1.7.9.3

* Thu Mar 08 2012 shlomif <shlomif> 1:1.7.9.2-2.mga2
+ Revision: 221567
- Fix the ugly login for pdksh users (when git-prompt is installed).
  Fixes bug https://bugs.mageia.org/show_bug.cgi?id=4473 . As opposed to what
  was pointed in the bug, the use of "type" was OK, but the use of "&>" which
  is a Bashism (probably derived from csh) was not. Thanks to the people on
  #bash on Freenode for pointing that out.

* Sun Feb 26 2012 fwang <fwang> 1:1.7.9.2-1.mga2
+ Revision: 215000
- new version 1.7.9.2

* Tue Feb 14 2012 tmb <tmb> 1:1.7.9.1-1.mga2
+ Revision: 208958
- update to 1.7.9.1

* Mon Feb 06 2012 wally <wally> 1:1.7.9-2.mga2
+ Revision: 205510
- change gitk requires to suggests
+ fwang <fwang>
- update file list
- new version 1.7.9

* Fri Jan 27 2012 kamil <kamil> 1:1.7.8.4-1.mga2
+ Revision: 202092
- new version 1.7.8.4

* Tue Jan 10 2012 fwang <fwang> 1:1.7.8.3-1.mga2
+ Revision: 194401
- new version 1.7.8.3

* Wed Dec 28 2011 tmb <tmb> 1:1.7.8.2-1.mga2
+ Revision: 188499
- update to 1.7.8.2

* Thu Dec 22 2011 tmb <tmb> 1:1.7.8.1-1.mga2
+ Revision: 185706
- update to 1.7.8.1

* Wed Dec 07 2011 fwang <fwang> 1:1.7.8-1.mga2
+ Revision: 178020
- update file list
- new version 1.7.8

* Sun Nov 20 2011 fwang <fwang> 1:1.7.7.4-1.mga2
+ Revision: 169616
- add br
- new version 1.7.7.4
+ tmb <tmb>
- update to 1.7.7.3

* Wed Nov 02 2011 tmb <tmb> 1:1.7.7.2-1.mga2
+ Revision: 161504
- update to 1.7.7.2

* Mon Oct 24 2011 tmb <tmb> 1:1.7.7.1-1.mga2
+ Revision: 157708
- update to 1.7.7.1

* Sun Oct 23 2011 shlomif <shlomif> 1:1.7.7-1.mga2
+ Revision: 157492
- New version - 1.7.7

* Mon Jun 27 2011 fwang <fwang> 1:1.7.6-1.mga2
+ Revision: 114291
- new verison 1.7.6

* Tue Jun 07 2011 tmb <tmb> 1:1.7.5.4-1.mga2
+ Revision: 101642
- update to 1.7.5.4

* Sun May 15 2011 pterjan <pterjan> 1:1.7.4.4-2.mga1
+ Revision: 98963
- Rebuild for fixed find-requires

* Sun Apr 17 2011 tmb <tmb> 1:1.7.4.4-1.mga1
+ Revision: 87175
- add Suggests perl-Authen-SASL and perl-MIME-Base64 to
  git-email as it is needed for sending with smtp auth
- update to 1.7.4.4

* Sun Apr 03 2011 tmb <tmb> 1:1.7.4.3-1.mga1
+ Revision: 79980
- update to 1.7.4.3

* Mon Feb 21 2011 dmorgan <dmorgan> 1:1.7.4.1-1.mga1
+ Revision: 55208
- New version

* Mon Jan 31 2011 dmorgan <dmorgan> 1:1.7.4-1.mga1
+ Revision: 45235
- New version

* Fri Jan 21 2011 jquelin <jquelin> 1:1.7.3.5-1.mga1
+ Revision: 29177
- rebuild for mageia
- imported package git

